package com.dahe.examine.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.dahe.examine.R
import com.dahe.examine.bean.ApplyBean
import com.dahe.examine.bean.PassBean

/**
 * @ClassName ApplyAdapter
 * @Author 用户
 * @Date 2022/1/13 15:18
 * @Description TODO
 */
class GoneAdapter(layoutResId: Int) : BaseQuickAdapter<ApplyBean, BaseViewHolder>(R.layout.item_gone) {
    override fun convert(holder: BaseViewHolder, item: ApplyBean) {
        holder.setText(R.id.tvTitle,item.enterpriseName)
            .setText(R.id.tvSjName,item.name)
            .setText(R.id.tvDh,item.phone)
            .setText(R.id.tvDs,"""${item.passNo}/${item.numberOfPasses}""")
            .setText(R.id.tvZl,item.notUsed)
            .setText(R.id.tvType,"""(${item.chargeType})""")
            .setTextColorRes(R.id.tvType,if (item.chargeType.contains("收费")) R.color.color_down_time else R.color.color_green)

    }
}